from django.conf.urls import patterns, url, include

from astakos.im.settings import VIEWS_PREFIX, BASE_PATH
from snf_django.lib.api.utils import prefix_pattern

survey_patterns = patterns(
    'survey.views',
    url(r'^survey/$', 'index', {}, name='surveys'),
    url(r'^survey/(?P<sid>[\w-]+)/$', 'survey', {}, name='survey'),
    url(r'^survey/(?P<sid>[\w-]+)/results/$', 'results',
        {}, name='survey_results'),
)

site_urlpatterns = patterns('', (prefix_pattern(VIEWS_PREFIX),
                                 include(survey_patterns)))
urlpatterns = patterns('', (prefix_pattern(BASE_PATH),
                            include(site_urlpatterns)))

